using System.Collections.Generic;

using Spark3D.Algebra3D;
using Spark3D.Objects3D;

namespace Spark3D.Projector3D
{
    public interface IProjector3D
    {
        IList<Polygon2D> Project(IList<Polygon3D> Polygons);
        void MoveView(Vector3D CameraAngles);
        void MoveView(double CameraDistance);
        double FieldOfView
        {
            set;
        }
    }
}
